package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 资产设施巡检对象 szxc_zcssxj
 * 
 * @author hs
 * @date 2024-04-02
 */
public class SzxcZcssxj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 资产设施id */
    @Excel(name = "资产设施id")
    private Long zcssId;

    /** 资产设备名称 */
    @Excel(name = "资产设备名称")
    private String zcName;

    /** 巡检人 */
    @Excel(name = "巡检人")
    private String xjName;

    /** 巡检人电话 */
    @Excel(name = "巡检人电话")
    private String phone;

    /** 巡检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "巡检日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date xjDate;

    /** 巡检标题 */
    @Excel(name = "巡检标题")
    private String title;

    /** 巡检结果 */
    @Excel(name = "巡检结果")
    private String xjResult;

    /** 巡检说明 */
    @Excel(name = "巡检说明")
    private String xjExplain;

    /** 巡检照片 */
    @Excel(name = "巡检照片")
    private String picture;

    /** 巡检状态(字典) */
    @Excel(name = "巡检状态(字典)")
    private String xjStatus;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date xjStart;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date xjEnd;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setZcssId(Long zcssId) 
    {
        this.zcssId = zcssId;
    }

    public Long getZcssId() 
    {
        return zcssId;
    }
    public void setZcName(String zcName) 
    {
        this.zcName = zcName;
    }

    public String getZcName() 
    {
        return zcName;
    }
    public void setXjName(String xjName) 
    {
        this.xjName = xjName;
    }

    public String getXjName() 
    {
        return xjName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setXjDate(Date xjDate) 
    {
        this.xjDate = xjDate;
    }

    public Date getXjDate() 
    {
        return xjDate;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setXjResult(String xjResult) 
    {
        this.xjResult = xjResult;
    }

    public String getXjResult() 
    {
        return xjResult;
    }
    public void setXjExplain(String xjExplain) 
    {
        this.xjExplain = xjExplain;
    }

    public String getXjExplain() 
    {
        return xjExplain;
    }
    public void setPicture(String picture) 
    {
        this.picture = picture;
    }

    public String getPicture() 
    {
        return picture;
    }
    public void setXjStatus(String xjStatus) 
    {
        this.xjStatus = xjStatus;
    }

    public String getXjStatus() 
    {
        return xjStatus;
    }
    public void setXjStart(Date xjStart) 
    {
        this.xjStart = xjStart;
    }

    public Date getXjStart() 
    {
        return xjStart;
    }
    public void setXjEnd(Date xjEnd) 
    {
        this.xjEnd = xjEnd;
    }

    public Date getXjEnd() 
    {
        return xjEnd;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("zcssId", getZcssId())
            .append("zcName", getZcName())
            .append("xjName", getXjName())
            .append("phone", getPhone())
            .append("xjDate", getXjDate())
            .append("title", getTitle())
            .append("xjResult", getXjResult())
            .append("xjExplain", getXjExplain())
            .append("picture", getPicture())
            .append("xjStatus", getXjStatus())
            .append("xjStart", getXjStart())
            .append("xjEnd", getXjEnd())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("userId", getUserId())
            .toString();
    }
}
